### Method

# Gck Session find_handles_async

#### Declaration [src]

    void
    gck_session_find_handles_async (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Find the objects matching the passed attributes. This call will return immediately and complete asynchronously.

If `match` is a floating reference, it is consumed.

#### Parameters

`match` | `GckAttributes`
| The attributes to match against the objects.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.